com.trendmicro.ds.appcontrol.rest.api

## Interface IRulesetAPI

-     @Path(value="/rulesets")
       @Consumes(value="application/json")
       @Produces(value="application/json")
      public interface IRulesetAPI

  Interface to the Ruleset API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateRulesetResponse` | `createRuleset(java.lang.String sessionID, CreateRulesetRequest request)` Create a new ruleset.
    `void` | `deleteRuleset(java.lang.String sessionID, java.lang.Long rulesetID)` Deletes a ruleset from the Deep Security Manager.
    `DescribeRulesetResponse` | `describeRuleset(java.lang.String sessionID, java.lang.Long rulesetID, java.lang.Long ruleID, java.lang.String ruleIDOp, java.lang.Integer maxItems)` Gets the contents of one ruleset.
    `ListRulesetsResponse` | `listRulesets(java.lang.String sessionID, java.lang.Long rulesetID, java.lang.String rulesetIDOp, java.lang.Integer maxItems)` Retrieve a list of rulesets.

- - ### Method Detail

    - #### createRuleset

          @POST
          CreateRulesetResponse createRuleset(@CookieParam(value="sID")
                                                    java.lang.String sessionID,
                                                    CreateRulesetRequest request)
                                             throws java.lang.Exception

      Create a new ruleset.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `request` - a `CreateRulesetRequest` object describing the ruleset.
      Returns:
        a `CreateRulesetResponse` containing the ID of the created ruleset.
      Throws:
        `java.lang.Exception`

    - #### listRulesets

          @GET
          ListRulesetsResponse listRulesets(@CookieParam(value="sID")
                                                 java.lang.String sessionID,
                                                 @QueryParam(value="rulesetID")
                                                 java.lang.Long rulesetID,
                                                 @QueryParam(value="rulesetIDOp")
                                                 java.lang.String rulesetIDOp,
                                                 @QueryParam(value="maxItems")
                                                 java.lang.Integer maxItems)
                                          throws java.lang.Exception

      Retrieve a list of rulesets.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `rulesetID` - (optional) used to define the starting point for the query. Combine with `rulesetIDOp` to page through results.
        `rulesetIDOp` - (optional, required if `rulesetID` is specified) Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - (optional) the number of items to retrieve. The maximum value for this parameter is controlled by the "Maximum number of items to retrieve from database" setting on the administrator account, which defaults to 5000.
      Returns:
        a list of rulesets.
      Throws:
        `java.lang.Exception`

    - #### describeRuleset

          @Path(value="{rulesetID}")
           @GET
          DescribeRulesetResponse describeRuleset(@CookieParam(value="sID")
                                                                                   java.lang.String sessionID,
                                                                                   @PathParam(value="rulesetID")
                                                                                   java.lang.Long rulesetID,
                                                                                   @QueryParam(value="ruleID")
                                                                                   java.lang.Long ruleID,
                                                                                   @QueryParam(value="ruleIDOp")
                                                                                   java.lang.String ruleIDOp,
                                                                                   @QueryParam(value="maxItems")
                                                                                   java.lang.Integer maxItems)
                                                                            throws java.lang.Exception

      Gets the contents of one ruleset.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `rulesetID` - the ruleset ID.
        `ruleID` - (optional) used to define the starting point for the query. Combine with `ruleIDOp` to page through results.
        `ruleIDOp` - (optional, required if `ruleID` is specified) Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - (optional) the number of items to retrieve. The maximum value for this parameter is controlled by the "Maximum number of items to retrieve from database" setting on the administrator account, which defaults to 5000.
      Returns:
        the ruleset contents
      Throws:
        `java.lang.Exception`

    - #### deleteRuleset

          @Path(value="{rulesetID}")
           @DELETE
          void deleteRuleset(@CookieParam(value="sID")
                                                                 java.lang.String sessionID,
                                                                 @PathParam(value="rulesetID")
                                                                 java.lang.Long rulesetID)
                                                          throws java.lang.Exception

      Deletes a ruleset from the Deep Security Manager.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `rulesetID` - the ruleset ID.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.